[Solved] GIMP - During this transition (Sid)

Everything about X, Gnome, KDE, ... and everything running on it

[Solved] GIMP - During this transition (Sid)

Postby milomak » 2018-11-14 23:16

so getting the below on sid

$ gimp
Code: Select all
gimp: symbol lookup error: /usr/lib/x86_64-linux-gnu/libgegl-0.4.so.0: undefined symbol: babl_format_with_space


i figure since it' the same version in testing it's something worth looking at

$ apt-cache policy gimp
Code: Select all
gimp:
  Installed: 2.10.8-1
  Candidate: 2.10.8-1
  Version table:
 *** 2.10.8-1 500
        500 http://debian.mirror.ac.za/debian testing/main amd64 Packages
        500 http://debian.mirror.ac.za/debian sid/main amd64 Packages
        500 http://ftp.is.co.za/debian testing/main amd64 Packages
        500 http://ftp.is.co.za/debian sid/main amd64 Packages
        500 http://debian.saix.net testing/main amd64 Packages
        500 http://debian.saix.net sid/main amd64 Packages
        500 http://deb-mir1.naitways.net/debian testing/main amd64 Packages
        500 http://deb-mir1.naitways.net/debian sid/main amd64 Packages
        100 /var/lib/dpkg/status
Last edited by milomak on 2018-11-15 18:42, edited 1 time in total.
Desktop: iMac Late-2015 27" 5K Retina (17,1 - 3.3GHz) - MacOS and Windows 10 (Bootcamp)/ Debian Sid (External SSD)
Laptop: Lenovo ideapad Y700 [nVidia Optimus] (64-bit) - Debian Sid, Win10,
Kodi Box: AMD Athlon 5150 APU w/Radeon HD 8400 - Debian Sid
milomak
 
Posts: 1855
Joined: 2009-06-09 22:20

Re: GIMP - During this transition (Sid)

Postby stevepusser » 2018-11-15 01:48

I've found in backporting gimp 2.10.X to a Stretch base that the Debian package often does not force an update of the babl and gegl libraries to what it actually needs. So run

Code: Select all
apt policy libbabl-0.1-0 libgegl-0.4-0


and make sure you have 0.1.58 and 0.4.12 respectively, and that you don't have any deb-multimedia versions of those pretending to be high enough with that epoch tacked onto the front of the version.

I'm stumped if that's not the case--all I can say is that the backported 2.10.8 runs fine for me on a Stretch base: https://build.opensuse.org/project/show ... -backports
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, 4.19.5 kernel, wine-staging 4.0~rc1, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10276
Joined: 2009-10-06 05:53

Re: GIMP - During this transition (Sid)

Postby Head_on_a_Stick » 2018-11-15 06:06

The gimp is working for me in testing:
Code: Select all
empty@buster:~ $ apt policy gimp libbabl-0.1-0 libgegl-0.4-0
gimp:
  Installed: 2.10.8-1
  Candidate: 2.10.8-1
  Version table:
 *** 2.10.8-1 500
        100 https://cdn-aws.deb.debian.org/debian sid/main amd64 Packages
        500 https://cdn-aws.deb.debian.org/debian buster/main amd64 Packages
        100 /var/lib/dpkg/status
libbabl-0.1-0:
  Installed: 0.1.58-1
  Candidate: 0.1.58-1
  Version table:
 *** 0.1.58-1 500
        100 https://cdn-aws.deb.debian.org/debian sid/main amd64 Packages
        500 https://cdn-aws.deb.debian.org/debian buster/main amd64 Packages
        100 /var/lib/dpkg/status
libgegl-0.4-0:
  Installed: 0.4.12-1
  Candidate: 0.4.12-1
  Version table:
 *** 0.4.12-1 500
        100 https://cdn-aws.deb.debian.org/debian sid/main amd64 Packages
        500 https://cdn-aws.deb.debian.org/debian buster/main amd64 Packages
        100 /var/lib/dpkg/status
empty@buster:~ $
dbruce wrote:Ubuntu forums try to be like a coffee shop in Seattle. Debian forums strive for the charm and ambience of a skinhead bar in Bacau. We intend to keep it that way.
User avatar
Head_on_a_Stick
 
Posts: 8322
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: GIMP - During this transition (Sid)

Postby milomak » 2018-11-15 18:42

thanks. my problem was
Code: Select all
libbabl-0.1-0:
  Installed: 1:0.1.28-dmo1
  Candidate: 1:0.1.28-dmo1
  Version table:
 *** 1:0.1.28-dmo1 100
        100 /var/lib/dpkg/status
     0.1.58-1 500
        500 http://debian.mirror.ac.za/debian testing/main amd64 Packages
        500 http://debian.mirror.ac.za/debian sid/main amd64 Packages
        500 http://ftp.is.co.za/debian testing/main amd64 Packages
        500 http://ftp.is.co.za/debian sid/main amd64 Packages
        500 http://debian.saix.net testing/main amd64 Packages
        500 http://debian.saix.net sid/main amd64 Packages
        500 http://deb-mir1.naitways.net/debian testing/main amd64 Packages
        500 http://deb-mir1.naitways.net/debian sid/main amd64 Packages
     0.1.18-1 500
        500 http://debian.mirror.ac.za/debian stable/main amd64 Packages
        500 http://ftp.is.co.za/debian stable/main amd64 Packages
        500 http://debian.saix.net stable/main amd64 Packages
        500 http://deb-mir1.naitways.net/debian stable/main amd64 Packages
Desktop: iMac Late-2015 27" 5K Retina (17,1 - 3.3GHz) - MacOS and Windows 10 (Bootcamp)/ Debian Sid (External SSD)
Laptop: Lenovo ideapad Y700 [nVidia Optimus] (64-bit) - Debian Sid, Win10,
Kodi Box: AMD Athlon 5150 APU w/Radeon HD 8400 - Debian Sid
milomak
 
Posts: 1855
Joined: 2009-06-09 22:20

Re: [Solved] GIMP - During this transition (Sid)

Postby stevepusser » 2018-11-15 19:59

Yes, DMO's epoch has caused the same issue for my backported MX 17 version for several users, so I've seen the error messages before.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, 4.19.5 kernel, wine-staging 4.0~rc1, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10276
Joined: 2009-10-06 05:53

Re: [Solved] GIMP - During this transition (Sid)

Postby stevepusser » 2018-11-15 22:27

By the way, we're considering having the latest GIMP backport in the next point release of MX Linux, but weren't happy that it made MyPaint uninstallable: https://bugs.debian.org/cgi-bin/bugrepo ... bug=894757

I found a patch online this morning that renames MyPaint's .mo files so they don't conflict, and rebuilt it and libmypaint to remove the conflict if MyPaint's our new version. I don't think that renaming those .mo translation files violates Debian policy, and is preferable to disabling them as suggested in that bug thread.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, 4.19.5 kernel, wine-staging 4.0~rc1, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10276
Joined: 2009-10-06 05:53


Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 8 guests

fashionable